<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Hook callbacks for Compilatio
 *
 * @package    plagiarism_compilatio
 * @copyright  2024 Compilatio.net {@link https://www.compilatio.net}
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

use plagiarism_compilatio\output\compilatio_frame;

global $CFG;

$callbacks = [];

if ($CFG->version >= 2024042200) {
    $callbacks[] = [
        'hook' => core\hook\output\before_standard_top_of_body_html_generation::class,
        'callback' => [compilatio_frame::class, 'before_standard_top_of_body_html_generation'],
        'priority' => 0,
    ];
}
